
var app = getApp()
var that;
Page({
  data: {
    month: app.globalData.month,//月
    isPx: true,
    showRuleTwo: false,
    ruleVal: "规则分类"
  },
  onLoad() {
    that = this;
    dd.setNavigationBar({ title: "自定义B分排名详情" });
  },
  selectDate() {
    dd.datePicker({
      format: 'yyyy-MM',
      currentDate: this.data.month,
      success: (res) => {
        this.setData({
          month: res.date
        })
      },
    });
  },
  //显示规则组件
  selectRule() {
    this.setData({
      showRuleTwo: true
    })
  },
  selectIsPx() {
    this.setData({
      isPx: !this.data.isPx
    })
  },
  //选择规则
  onConfirmRule(data) {
    console.log(data);
  },
  //打开兴趣
  openDetail(e) {
    var item = e.target.dataset.item;
    dd.navigateTo({
      url: '../prizeBuckleDetail/prizeBuckleDetail?item=' + item
    })
  },
  //关闭弹窗
  onClose() {
    this.setData({
      showRuleTwo: false
    })
  },
});
